# MinimalStim

## core MinimalStim

MinimalStim is the base class for all stimuli.

## Constructor

#### new MinimalStim(options)

Source:
  - core/MinimalStim.js, line 19

##### Parameters:

Name | Type | Description
--- | --- | ---
`options` | Object | ###### Properties
Name | Type | Attributes | Default | Description
--- | --- | --- | --- | ---
`name` | String |  |  | the name used when logging messages from this stimulus
`win` | module:core.Window |  |  | the associated Window
`autoDraw` | boolean | <optional> | `false` | whether or not the stimulus should be automatically drawn on every frame flip
`autoLog` | boolean | <optional> | `win.autoLog` | whether to log

### Extends

- PsychObject

### Methods

#### (abstract, protected) _updateIfNeeded()

Source:
  - core/MinimalStim.js, line 181

Update the stimulus, if necessary.

Note: this is an abstract function, which should not be called.

#### (abstract) contains(object, units)

Source:
  - core/MinimalStim.js, line 147

Determine whether an object is inside this stimulus.

##### Parameters:

Name | Type | Description
--- | --- | ---
`object` | Object | the object
`units` | String | the stimulus units

#### draw()

Source:
  - core/MinimalStim.js, line 81

Draw this stimulus on the next frame draw.

#### hide()

Source:
  - core/MinimalStim.js, line 121

Hide this stimulus on the next frame draw.

#### release(logopt)

Source:
  - core/MinimalStim.js, line 161

Release the PIXI representation, if there is one.

##### Parameters:

Name | Type | Attributes | Default | Description
--- | --- | --- | --- | ---
`log` | boolean | <optional> | `false` | whether to log

#### setAutoDraw(autoDraw, logopt)

Source:
  - core/MinimalStim.js, line 62

Setter for the autoDraw attribute.

##### Parameters:

Name | Type | Attributes | Default | Description
--- | --- | --- | --- | ---
`autoDraw` | boolean |  |  | the new value
`log` | boolean | <optional> | `false` | whether to log